# Game Data

Web-based tool to store and organize PC hardware gaming benchmarks.

## Project Goals

The goals of this project are to:

* Record benchmarking results from multiple devices - e.g. log from a laptop or a phone.
* Group results into tests - it's good practice to run a benchmark multiple times for accuracy.
* Create comparisons of hardware tests to compare performance.
* Generate graphs of hardware comparisons for usage in videos and articles.

## Requirements

Game Data runs on Ruby, and takes advantage of Bundler to manage code dependencies and Rake to run various tasks for maintaining the app. You can install them globally like so:

Debian/Ubuntu: `apt install -y ruby ruby-bundler rake`

## Development

Install dependencies via bundler:

`bundle install`

Perform database migrations:

`rake db:migrate`

Run the server in development with auto-reloading:

`rake server:dev`

If everything is running successfully you can open your browser and go to https://localhost:9292.
