# frozen_string_literal: true

# /result routes
class GameData < Sinatra::Base

  get '/result' do
    results = Result.reverse(:updated_at).limit(10).all()

    erb :'result/index', locals: {
      title: 'List of Results',
      results: results
    }
  end

  get '/result/add' do
    hardware = Hardware.all()
    benchmarks = Benchmark.all()

    erb :'result/add', locals: {
      title: 'Add Result',
      hardware: hardware,
      benchmarks: benchmarks
    }
  end
  post '/result/add' do
    result_minimum = params[:result_minimum] if params.key?(:result_minimum)
    result_maximum = params[:result_maximum] if params.key?(:result_maximum)

    Result.create(
      hardware_id: params[:result_hardware],
      benchmark_id: params[:result_benchmark],
      avg_score: params[:result_average],
      min_score: result_minimum,
      max_score: result_maximum
    )

    if params.key?(:result_referrer)
      if params[:result_referrer] == 'hardware'
        redirect "/hardware/#{params[:result_hardware]}"
      elsif params[:result_referrer] == 'benchmark'
        redirect "/benchmark/#{params[:result_benchmark]}"
      end
    else
      redirect '/result'
    end
  end

end
